﻿
var gridDataSource = new kendo.data.DataSource({
    transport: {
        read: function (op) {

            $.ajax({
                type: "POST",
                url: "OTicketSummaryGraph.aspx/BindGridDetails",
                data: JSON.stringify({ "cYear": $("#ddlYear option:selected").val() }),
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (response) {
                    op.success(JSON.parse(response.d));
                 
                   // createChart(response.d)
                    }
            });
        }
    },

    
    schema: {
        model: {
            fields: {               
               Category: { type: "string" },
               Jan: { type: "string" },
               Feb: { type: "string" },
               March: { type: "string" },
               April: { type: "string" },
               May: { type: "string" },
               June: { type: "string" },
               July: { type: "string" },
               Aug: { type: "string" },
               Sep: { type: "string" },
               Nov: { type: "string" },
               Dec: { type: "string" }
            }
        }
    },
});

$("#OTicketSummaryGraph").kendoGrid({
    dataSource: gridDataSource,
    noRecords: {
        template: "No Records found."
    },
   
    sortable: true,
    scrollable: {
        virtual: true
    },
    pageable: false,
    filterable: true,
    resizable: true,
    columns: [
        {
            field: "Cat",
  title: "Category",
  width: 160,
            headerTemplate: "Category"
                      },
        {
           field: "Jan",
         title: "January",
         width: 100,
            headerTemplate: "January"
           
        },
    {
       field: "Feb",
     title: "February",
     width: 100,
        headerTemplate: "February"
    },
    {
        field: "Mar",
     title: "March",
     width: 100,
        headerTemplate: "March"
    },
    {
        field: "Apr",
     title: "April",
     width: 100,
        headerTemplate: "April"
    },
     {
        field: "May",
      title: "May",
      width: 100,
         headerTemplate: "May"
     },
     {
        field: "Jun",
      title: "June",
      width: 100,
         headerTemplate: "June"
     },
     {
        field: "Jul",
      title: "July",
      width: 100,
         headerTemplate: "July"
     },
     {
          field: "Aug",
      title: "August",
      width: 100,
         headerTemplate: "August"
     },
       {
                 field: "Sep",
                 title: "September",
                 width: 120,
                 headerTemplate: "September",
             },
              {
                  field: "Oct",
                  title: "October",
                  width: 120,
                  headerTemplate: "October",
              },
               {
                   field: "Nov",
                   title: "November",
                   width: 120,
                   headerTemplate: "November",
               },
                {
                    field: "Dec",
                    title: "December",
                    width: 120,
                    headerTemplate: "December",
                },
                {
                    field: "Total",
                    title: "Total",
                    width: 100,
                    headerTemplate: "Total",
                }]
});


 $("#ddlYear").data("kendoDropDownList");


$("#ddlYear").change(function(){
     var grid = $("#OTicketSummaryGraph").data("kendoGrid");
     grid.dataSource.options.transport.read.url = "OTicketSummaryGraph.aspx/BindGridDetails?cYear =" + $("#ddlYear option:selected").val();
 
  grid.dataSource.read();
      grid.refresh();
});



gridDataSource.fetch(function(){


debugger;
            var groupedData = gridDataSource.view();
              var  series = [];
                var chart;
                 for(vIndex = 0; vIndex < groupedData.length; vIndex++){
                        series.push({
                          name: groupedData[vIndex].Cat,
                          type:"column",
                          data: [groupedData[vIndex].Jan,groupedData[vIndex].Feb,groupedData[vIndex].Mar,groupedData[vIndex].Apr,groupedData[vIndex].May,groupedData[vIndex].Jun,groupedData[vIndex].Jul,groupedData[vIndex].Aug,groupedData[vIndex].Sep,groupedData[vIndex].Oct,groupedData[vIndex].Nov,groupedData[vIndex].Dec]
                        });
                 }


                    $("#chart").kendoChart({
                title: {
                    text: "Open Tickets Summary and Graph"
                },
                legend: {
                    position: "top"
                },
                seriesDefaults: {
                    type: "column"
                },
              
                series: series,

                valueAxis: {
                    labels: {
                        format: "{0}"
                    },
                    line: {
                        visible: false
                    },
                    axisCrossingValue: 0
                },
                categoryAxis: {
                    categories: ["January", "February", "March", "April", "May", "July", "August", "September", "October", "November","December"],
                    line: {
                        visible: false
                    },
                    labels: {
                        padding: {top: 135}
                    }
                },
                tooltip: {
                    visible: true,
                    format: "{0}",
                    template: "#= series.name #: #= value #"
                }
            });
     });
    


